Skip to main content
GET
/
v0
/
fundings
/
{id}
Retrieve a Funding
curl --request GET \
  --url https://api.sandbox.lead.bank/v0/fundings/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "funding_0o5Fs0EELR0fUjHjbCnEtdUwQe3",
  "subledger_balance_id": "subledger_balance_1HCpXwx2EK9oYluWbacgeCnFcLf",
  "currency_code": "USD",
  "principal": {
    "external_disbursement_amount": 100000,
    "withheld_amount": 1000,
    "merchant_origination_fee_amount": 100
  },
  "other_fees": {
    "borrower_origination_fee_amount": 200
  },
  "metadata": {
    "client_draw_id": "X67BU"
  },
  "status": "posted",
  "rejection": {
    "reason": "",
    "details": ""
  },
  "created_at": "2025-09-02T11:01:36Z",
  "updated_at": "2025-09-02T11:05:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the funding object to be retrieved.

Maximum string length: 64

Response

A Funding object.

id
string

Unique ID of the funding object.

Maximum string length: 64
Pattern: ^funding_\w+$
Example:

"funding_123"

subledger_balance_id
string

Unique ID of the credit subledger balance object that a funding object is being created for.

Maximum string length: 64
Example:

"subledger_balance_123"

currency_code
enum<string>

A three-letter currency code as defined in ISO 4217.

Available options:
USD
Example:

"USD"

principal
object

The total amount of funding that is part of the loan product's principal. Note that upon funding, this amount will be considered disbursed, and Lead will begin applying imputed interest. All amounts will be assumed to be in the currency set on the Subledger Balance object. Invariant: (external_disbursement_amount > 0) OR (withheld_amount > 0).

other_fees
object

Fees relating to the funding request that Lead needs awareness of for bookkeeping purposes only.

metadata
object

Additional metadata associated with the funding.

Example:
{ "client_draw_id": "X67BU" }
status
enum<string>

The current status of the Funding object.

Available options:
processing,
posted,
rejected
Example:

"processing"

rejection
object

Object containing information relevant for cases where the Funding object is in a rejected status. When the object is not in a rejected status, fields will still be present with empty strings.

created_at
string<date-time>

The ISO-8601 timestamp at which the Funding object was created.

Example:

"2025-09-02T11:01:36Z"

updated_at
string<date-time>

The ISO-8601 timestamp at which the Funding object was last updated.

Example:

"2025-09-02T11:05:00Z"